Bug 118671 - FILESAVE: Vertical line is horizontal after RT
Summary: FILESAVE: Vertical line is horizontal after RT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: DOC-Shapes
  Show dependency treegraph
 
Reported: 2018-07-10 14:55 UTC by Xisco Faulí
Modified: 2019-10-02 02:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (103.78 KB, application/rtf)
2018-07-10 14:55 UTC, Xisco Faulí
Details
Microsoft Word2003 - CrashingRT.pdf - position still not correct before regression (41.79 KB, application/pdf)
2018-07-11 07:35 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-07-10 14:55:06 UTC
Created attachment 143427 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save is as .DOC
3. Open the new file

-> the vertical line in the middle is on top and horizontal after RT

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: c290f692dd28094d41dff686f3faa1c4e14b556e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-07-10 14:56:32 UTC
regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1cedd88d40a26a55ce433f8b742215aea83a5382

author	Justin Luth <justin_luth@sil.org>	2018-06-28 15:48:40 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2018-06-29 07:43:40 +0200
commit	1cedd88d40a26a55ce433f8b742215aea83a5382 (patch)
tree	2104981b42e82ef069992eb94a1cd71b4151e81e
parent	e20b14e1e9f22a4ac55a7c9e6160f0b7665ff24d (diff)
tdf#118421 ww8export: rotate vertically: not Lines or groups

Bisected with: bibisect-linux64-6.2

Adding Cc: to Justin Luth
Comment 2 Justin L 2018-07-11 07:35:28 UTC
Created attachment 143448 [details]
Microsoft Word2003 - CrashingRT.pdf - position still not correct before regression

Good: this is not a regression that anyone will notice since it was only working for a couple of days since bug 118421 fixed regressions caused by the fix for bug 70838.
Comment 3 Justin L 2018-07-11 07:41:05 UTC
I'm going to remove regression since it never affected a released version. And I'm probably going to wash my hands from this since I don't intend to get into shape fixing.  But this is a good document to add to the "complicating factors" of handling rotated shapes.
Comment 4 QA Administrators 2019-10-02 02:56:59 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug